# MatNullSpaceRemove

Removes all the components of a null space from a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatNullSpaceRemove(MatNullSpace sp,Vec vec,Vec *out)

Collective on MatNullSpace

### Input Parameters

| sp | - the null space context
| vec | - the vector from which the null space is to be removed
| out | - if this is requested (not PETSC_NULL) then this is a vector with the null space removed otherwise the removal is done in-place (in vec)

Note: The user is not responsible for the vector returned and should not destroy it.

### Keywords

PC, null space, remove

### See Also

MatNullSpaceCreate(), MatNullSpaceDestroy(), MatNullSpaceSetFunction()

Level:advanced
Location: src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html